package com.ruoyi.gysl.entity;

import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 目录管理(Ml)实体类
 *
 * @author makejava
 * @since 2025-02-25 14:21:08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ml")
@ApiModel(value = "Ml", description = "目录管理")
public class Ml implements Serializable {
    private static final long serialVersionUID = -79924572462170266L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;

    /**
     * 上楼目录类别
     */
    @ApiModelProperty(value = "上楼目录类别")
    @TableField("slmllb")
    private Integer slmllb;

    /**
     * 工业大类
     */
    @ApiModelProperty(value = "工业大类")
    @TableField("gydl")
    private String gydl;

    /**
     * 产业
     */
    @ApiModelProperty(value = "产业")
    @TableField("cy")
    private String cy;

    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    @TableField("update_id")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;
}
