package com.ruoyi.gysl.entity;
 
import java.math.BigDecimal;
import java.util.Date;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * (QyrzInformation)实体类
 *
 * @author makejava
 * @since 2025-02-25 14:45:29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("qyrz_information")
@ApiModel(value = "QyrzInformation", description = "$tableInfo.comment")
public class QyrzInformation implements Serializable {
    private static final long serialVersionUID = -20690122252871743L;
    
    /**
     * 主键id
     */     
	@ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;
    
    /**
     * 项目id
     */     
	@ApiModelProperty(value = "项目id")
    @TableField("xm_id")
    private Integer xmId;
    
    /**
     * 入住企业数
     */     
	@ApiModelProperty(value = "入住企业数")
    @TableField("rzqys")
    private Integer rzqys;
    
    /**
     * 入驻企业行业类型
     */     
	@ApiModelProperty(value = "入驻企业行业类型")
    @TableField("rzqyhylx")
    private String rzqyhylx;
    
    /**
     * 人员数量
     */     
	@ApiModelProperty(value = "人员数量")
    @TableField("rysl")
    private Integer rysl;
    
    /**
     * 入住率
     */     
	@ApiModelProperty(value = "入住率")
    @TableField("rzl")
    private BigDecimal rzl;
    
    /**
     * 已出租（售）面积
     */     
	@ApiModelProperty(value = "已出租（售）面积")
    @TableField("yczmj")
    private BigDecimal yczmj;
    
    /**
     * 空置出租（售）面积
     */     
	@ApiModelProperty(value = "空置出租（售）面积")
    @TableField("kzczmj")
    private BigDecimal kzczmj;
    
    /**
     * 工业厂房平均租金
     */     
	@ApiModelProperty(value = "工业厂房平均租金")
    @TableField("gycfpjzj")
    private BigDecimal gycfpjzj;
    
    /**
     * 工业厂房平均物业费
     */     
	@ApiModelProperty(value = "工业厂房平均物业费")
    @TableField("gycfpjwyf")
    private BigDecimal gycfpjwyf;
    
    /**
     * 创建者id
     */     
	@ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;
    
    /**
     * 创建时间
     */     
	@ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;
    
    /**
     * 创建者
     */     
	@ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;
    
    /**
     * 更新者ID
     */     
	@ApiModelProperty(value = "更新者ID")
    @TableField("update_id")
    private Long updateId;
    
    /**
     * 更新者
     */     
	@ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;
    
    /**
     * 更新时间
     */     
	@ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;
}
