package com.ruoyi.gysl.entity;

import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 项目评价清单(Xmpjqd)实体类
 *
 * @author makejava
 * @since 2025-02-25 14:19:33
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("xmpjqd")
@ApiModel(value = "Xmpjqd", description = "项目评价清单")
public class Xmpjqd implements Serializable {
    private static final long serialVersionUID = 223689412712645471L;

    @ApiModelProperty(value = "${column.comment}")
    @TableField("id")
    private Integer id;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    @TableField("xmmc")
    private String xmmc;

    /**
     * 项目建设开始时间
     */
    @ApiModelProperty(value = "项目建设开始时间")
    @TableField("xmqzsj")
    private Date xmqzsj;

    /**
     * 现状分类
     */
    @ApiModelProperty(value = "现状分类")
    @TableField("xzfl")
    private Integer xzfl;

    /**
     * 评价等级
     */
    @ApiModelProperty(value = "评价等级")
    @TableField("pjdj")
    private Integer pjdj;

    /**
     * 项目法人单位
     */
    @ApiModelProperty(value = "项目法人单位")
    @TableField("xmfrdw")
    private String xmfrdw;

    /**
     * 项目评价
     */
    @ApiModelProperty(value = "项目评价")
    @TableField("xmpj")
    private String xmpj;

    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    @TableField("update_id")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;
}
