package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.request.BasicRequest;

import java.util.List;

/**
 * 基本信息(BasicInformation)表服务接口
 *
 * @author makejava
 * @since 2025-02-24 09:25:55
 */
public interface BasicInformationService extends IService<BasicInformation> {


    /**
     * 导入基本信息数据
     *
     * @param basicRequestList 基本信息数据列表
     * @return 结果
     */
    public void importUser(List<BasicRequest> basicRequestList);


}

