package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.request.BasicRequest;
import com.ruoyi.gysl.mapper.BasicInformationMapper;
import com.ruoyi.gysl.service.BasicInformationService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 基本信息(BasicInformation)表服务实现类
 *
 * @author makejava
 * @since 2025-02-24 09:25:55
 */
@Service("basicInformationService")
public class BasicInformationServiceImpl extends ServiceImpl<BasicInformationMapper, BasicInformation> implements BasicInformationService {
    @Resource
    private BasicInformationMapper basicInformationMapper;

    @Override
    public void importUser(List<BasicRequest> basicRequestList) {

        for (BasicRequest basicRequest : basicRequestList) {
            BasicInformation basicInformation = new BasicInformation();
            BeanUtils.copyProperties(basicRequest, basicInformation);
            basicInformationMapper.insert(basicInformation);

        }

    }
}

