package com.ruoyi.gysl.entity;

import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 模型管理(Mx)实体类
 *
 * @author makejava
 * @since 2025-02-24 13:40:36
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mx")
@ApiModel(value = "Mx", description = "模型管理")
public class Mx implements Serializable {
    private static final long serialVersionUID = -78397958900753109L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;

    /**
     * 1:关键要素；2：重要要素
     */
    @ApiModelProperty(value = "1:关键要素；2：重要要素")
    @TableField("type")
    private String type;

    /**
     * 要素名称
     */
    @ApiModelProperty(value = "要素名称")
    @TableField("name")
    private String name;

    /**
     * 具体指标
     */
    @ApiModelProperty(value = "具体指标")
    @TableField("jtzb")
    private String jtzb;

    /**
     * 详细要求
     */
    @ApiModelProperty(value = "详细要求")
    @TableField("xxyq")
    private String xxyq;

    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    @TableField("update_id")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
}
