package com.ruoyi.gysl.entity;

import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 项目评价配置(Pjpz)实体类
 *
 * @author makejava
 * @since 2025-02-24 13:52:56
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pjpz")
@ApiModel(value = "Pjpz", description = "项目评价配置")
public class Pjpz implements Serializable {
    private static final long serialVersionUID = -25318153790915105L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;

    /**
     * 评价要素
     */
    @ApiModelProperty(value = "评价要素")
    @TableField("pjys")
    private String pjys;

    /**
     * 评分规则
     */
    @ApiModelProperty(value = "评分规则")
    @TableField("pfgz")
    private String pfgz;

    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    @TableField("update_id")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;
}
