package com.ruoyi.gysl.entity;

import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.validation.annotation.Validated;

/**
 * 五要素模型信息(WysmxInformation)实体类
 *
 * @author makejava
 * @since 2025-02-26 11:09:30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("wysmx_information")
@ApiModel(value = "WysmxInformation", description = "五要素模型信息")
public class WysmxInformation implements Serializable {
    private static final long serialVersionUID = -64642268500596283L;

    @ApiModelProperty(value = "${column.comment}")
    @TableField("id")
    private Integer id;

    /**
     * 模型id
     */
    @ApiModelProperty(value = "模型id")
    @TableField("mx_id")
    private Integer mxId;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    @TableField("xm_id")
    private Integer xmId;

    /**
     * 具体要求
     */
    @ApiModelProperty(value = "具体要求")
    @TableField("jtyq")
    private String jtyq;


    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    @TableField("update_id")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;
}
