package com.ruoyi.gysl.entity;

import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 项目巡礼(Xmxl)实体类
 *
 * @author makejava
 * @since 2025-02-25 14:17:35
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("xmxl")
@ApiModel(value = "Xmxl", description = "项目巡礼")
public class Xmxl implements Serializable {
    private static final long serialVersionUID = 300538411000092930L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableField("id")
    private Integer id;

    /**
     * 监控名称
     */
    @ApiModelProperty(value = "监控名称")
    @TableField("jkmc")
    private String jkmc;

    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    @TableField("sj")
    private Date sj;

    /**
     * 当前状态
     */
    @ApiModelProperty(value = "当前状态")
    @TableField("status")
    private Integer status;

    /**
     * 附件
     */
    @ApiModelProperty(value = "附件")
    @TableField("fj")
    private String fj;

    /**
     * 创建者id
     */
    @ApiModelProperty(value = "创建者id")
    @TableField("create_id")
    private Integer createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    @TableField("update_id")
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;
}
