package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.itextpdf.text.DocumentException;
import com.ruoyi.gysl.entity.Mmm;
import com.ruoyi.gysl.entity.request.MmmRequest;

import java.io.IOException;


public interface MmmService extends IService<Mmm> {
        /**
         * 分页查询所有数据
         *
         * @param page 分页对象
         * @param mmm   查询实体
         * @return 所有数据
         */
        Page<Mmm> page(Page<Mmm> page, MmmRequest mmm);

        byte[] fillPdfTemplate(String path, Mmm item) throws IOException, DocumentException;
}
