package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.Mx;
import com.ruoyi.gysl.mapper.MxDao;
import com.ruoyi.gysl.service.MxService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 模型管理(Mx)表服务实现类
 *
 * @author makejava
 * @since 2025-02-24 13:40:40
 */
@Service("mxService")
public class MxServiceImpl extends ServiceImpl<MxDao, Mx> implements MxService {

    @Resource
    private MxDao mxDao;

    @Override
    public    Map<String, Map<String, List<Mx>>> selectAll() {
        QueryWrapper<Mx> queryWrapper = new QueryWrapper<>();
        List list=mxDao.selectList(queryWrapper);
        // 根据 type 和 name 分组
        Map<String, Map<String, List<Mx>>> groupedByTypeAndName = (Map<String, Map<String, List<Mx>>>) list.stream()
                .collect(Collectors.groupingBy(Mx::getType,    // 第一层按 type 分组
                        Collectors.groupingBy(Mx::getName))); // 第二层按 name 分组

        return groupedByTypeAndName;
    }
}

